Subject: Re: FVWM: WindowShades & a bug.

From: [email-masked] (Todd Fries)
Date: Sun, 15 Oct 1995 20:17:41 +0000 (GMT)

> From: [email-masked]
> tfries> I mean, it is nice for styles to say 'Style "*rxvt*" blah'
> tfries> but, well, what if I want some rxvt's to have 'Style "rxvt"
> tfries> NoTitle' and others not?
> 
> If my understanding about fvwm source, this can be done in current
> fvwm, I think. In fact, 'Style' built-in function (and some built-in
> function) is context-dependant, i.e., order of 'Style' command have a
> meanings.
> 
> If you wanna do described above, try:
> 
> 	Style "*rxvt*" blah
> 	Style "rxvt" NoTitle
> 
> Window "foorxvtbar" matches only first Style command, but window
> "rxvt" matches first and second, so "rxvt" has no title, but blah
> style is also defined (of course, if blah has 'Title', this is ignored
> by second 'NoTitle').

While this will work in this instance, I was more referring to the ability
to 'dynaically' point, click, and tell fvwm I want __THIS__ window to not
have a title bar...rather than having to plan-ahead and change the title,
etc....

I haven't looked to the source, but doesn't fvwm keep track of each window
by it's id anyway?  Wouldn't it be possible to allow something along the
lines of:

AddToMenu "Style Changes"
+ "Remove Title Bar" Style NoTitle
+ "Add Title Bar" Style Title

??

I know this would probably not be the exact implementation, but it is
what I am asking about...

-- 
Todd [email-masked]
http://www.cs.umr.edu/~tfries
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].